package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag787;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT787Creator;

public class Tag23XCreator extends AbsTagCreate {
    private MT787Creator mt787Creator;

    public Tag23XCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt787Creator= (MT787Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag23XValue = mt787Creator.getFileIdentification();
        mt787Creator.set("23X", tag23XValue);
    }
}
